ATA_PHYS_LINK_OFFLIN(9)

NAME
ata_phys_link_offline - test whether the given link is offline

SYNOPSIS

bool ata_phys_link_offline(struct ata_link * link);

ARGUMENTS

link
    ATA link to test

DESCRIPTION

Test whether link is offline. Note that this function returns 0 if offline status of link cannot be obtained, so ata_link_online(link) != !ata_link_offline(link).

LOCKING

None.

RETURNS

True if the port offline status is available and offline.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT